org.eclipse.wst.jsdt.debug.core.model

## Class ScriptResolver

- java.lang.Object
- - org.eclipse.wst.jsdt.debug.core.model.ScriptResolver

All Implemented Interfaces:
  IScriptResolver

    public abstract class ScriptResolver
    extends java.lang.Object
    implements IScriptResolver

This is the default base class for all `IScriptResolver`s
Clients must extend this class and not directly implement the interface `IScriptResolver`

Since:
  2.1

### Constructor Summary

Constructors
Constructor and Description
`ScriptResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFile` `getFile(ScriptReference script)` This method is used to find the workspace `IFile` that corresponds to the source `URI` from the given `ScriptReference`.
`boolean` `matches(ScriptReference script, IPath path)` This method determines if the given `IPath` matches the `URI` from `ScriptReference.sourceURI()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptResolver

    public ScriptResolver()

### Method Detail

#### matches

    public boolean matches(ScriptReference script,
                           IPath path)

Description copied from interface: `IScriptResolver`
This method determines if the given `IPath` matches the `URI` from `ScriptReference.sourceURI()`.

Specified by:
  `matches` in interface `IScriptResolver`
Parameters:
  `script` - the `ScriptReference` to compare the source `URI` from - never `null`
  `path` - the path to match against the source `URI` - never `null`
Returns:
  `true` if the source `URI` of the given `ScriptReference` is considered to match the given `IPath`, `false` otherwise.

#### getFile

    public IFile getFile(ScriptReference script)

Description copied from interface: `IScriptResolver`
This method is used to find the workspace `IFile` that corresponds to the source `URI` from the given `ScriptReference`.
If no file can be determined the method must return `null`. The result will be checked for existence.

Specified by:
  `getFile` in interface `IScriptResolver`
Parameters:
  `script` - the `ScriptReference` to find the `IFile` for
Returns:
  the `IFile` for the `ScriptReference` or `null`